<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Task Manager</title>
    <link rel="shortcut icon" href="./favicon.png" type="image/x-icon">
    <script src="./dist/bundle.js"></script>
    <link rel="stylesheet" href="./dist/style.css">

</head>

<body>
    <div class="container">
        <div class="row p-md-5 p-2">
            <h1 class="text-center w-100">Задачи</h1>
            <div class="col-12 tasks">
                <button type="button" class="btn btn-primary m-2 m-md-3 add-task" data-toggle="modal"
                    data-target="#addTaskModal"><i class="fas fa-plus-circle"></i> Создать
                    задачу</button>
            </div>
        </div>
    </div>

    <!-- Modal for add Task-->
    <div class="modal fade" id="addTaskModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle"
        aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Создание задачи</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form class="task-form">
                        <div class="form-group">
                            <label for="nameTask">Название задачи</label>
                            <input type="text" id="nameTask" class="form-control nameTask"
                                placeholder="Введите краткое название задачи">
                        </div>
                        <div class="form-group">
                            <label for="descrTask">Описание задачи</label>
                            <textarea id="descrTask" class="form-control descrTask" rows="5"></textarea>
                        </div>
                        <input type="hidden" class="task-id" value="">
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary saveTask">Сохранить</button>
                </div>
            </div>
        </div>
    </div>
    <!-- Modal for update Task-->
    <div class="modal fade" id="updateTaskModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle"
        aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Редактирование задачи</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form class="task-form">
                        <div class="form-group">
                            <label for="nameTask">Название задачи</label>
                            <input type="text" id="nameTask" class="form-control nameTask"
                                placeholder="Введите краткое название задачи">
                        </div>
                        <div class="form-group">
                            <label for="descrTask">Описание задачи</label>
                            <textarea id="descrTask" class="form-control descrTask" rows="5"></textarea>
                        </div>
                        <div class="form-group">
                            <label for="doneTask">Состояние задачи</label>
                            <div class="toggle-switch" id="doneTask">
                                <label for="cb-switch">
                                    <input type="checkbox" id="cb-switch" value="">
                                    <span>
                                        <small></small>
                                    </span>
                                </label>
                            </div>
                        </div>
                        <input type="hidden" class="task-id" value="">
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary saveTask">Сохранить</button>
                </div>
            </div>
        </div>
    </div>

    <template class="accordion d-none" id="accordionExample">
        <div class="card m-2">
            <div class="card-header">
                <i class="fas fa-check-circle text-success task-done" data-fa-transform="shrink--6"></i>
                <div class="float-right text-right edit-block">
                    <i class="far fa-edit text-primary edit-task" data-fa-transform="shrink--3"></i>
                    <i class="far fa-trash-alt text-danger delete-task" data-fa-transform="shrink--3"></i>
                </div>
                <button class="btn btn-link collapsed" type="button" data-toggle="collapse" data-target=""
                    aria-expanded="false">
                </button>
            </div>

            <div id="collapseOne" class="collapse" aria-labelledby="headingOne" data-parent="#accordionExample">
                <div class="card-body">
                </div>
            </div>
        </div>
    </template>
</body>

</html>